using RFrameGenerate.BLL;
using RFrameGenerate.Common;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace System.Web.Mvc
{
    /// <summary>
    /// 基础版
    /// </summary>    
    public class MerchantFilterAttribute : ActionFilterAttribute
    {
        public override void OnActionExecuting(ActionExecutingContext filterContext)
        {
            if(CurrentManage.MerchantType==DictionaryConst.Versionb.Basic)
            {
                filterContext.HttpContext.Response.Write("<script>alert('基础版无权访问,请升级')</script>");
                filterContext.Result = new RedirectResult(RFrameGenerate.Common.CurrentManage.Domain + "error/index");
            }
        }
    }
}